Subject: Re: [bug#37868] [PATCH v8] system: Add kernel-module-packages to operating-system.

From: Danny Milosavljevic <[email-masked]>
Date: Sun, 15 Mar 2020 19:17:36 +0100

Hi Mathieu,

On Sun, 15 Mar 2020 11:28:37 +0100
Mathieu Othacehe <[email-masked]> wrote:

> Yes, "profile-derivation" should use the current system or target if the
> #:system and #:target arguments are #f.

OK!

> In that case, you should use #+kmod instead of #$kmod. This way, when
> cross-compiling, the native kmod would be used.

> Anyway, if you're willing to wait a few days, I can test your patch does
> not break system cross-compilation on core-updates.

Sure.

> The man page of depmod says that '-F' and '-E' options are mutually
> exclusive.

Linus Torvalds seems to be in favor of not supporting Module.symvers anymore,
so let's use "-F"...

> 
> +               (let* ((versions (filter (lambda (name)
> +                                          (not (string-prefix? "." name)))
> +                                        (scandir moddir)))
> +                      (version (match versions
> +                                ((x) x))))
> 
> If versions only contains one element, then you can use find instead of
> filtering and matching.

I don't really know that it only contains one element.  In normal supported
operation it should--but if the user does something stupid (put kernel
version A and module version B into the operating-system, where A != B),
I want it to fail and not depmod half the things (neither all the things, for
that matter).

> As stated above, I think you are fine removing the TODO.

Cool!